# pgRouting Manual (2.1.0)

## pgr_getTableName

## Name

`pgr_getTableName` — Retrieves the name of the column as is stored in the postgres administration tables.

Note

This function is intended for the developer’s aid.

Warning

This function is deprecated in 2.1 Use _pgr_getTableName instead

## Synopsis

Returns a record containing the registered names of the table and of the schema it belongs to.

    (text sname, text tname)  pgr_getTableName(text tab)

## Description

Parameters

tab: | `text` table name with or without schema component.

Returns

sname:

- `text` containing the registered name of the schema of table “tab”.
  - when the schema was not provided in “tab” the current schema is used.
- `NULL` when :
  - The schema is not found in the postgres administration tables.

tname:

- `text` containing the registered name of the table “tab”.
- `NULL` when :
  - The schema is not found in the postgres administration tables.
  - The table “tab” is not registered under the schema `sname` in the postgres administration tables

History

- New in version 2.0.0

## Examples

    SELECT * from pgr_getTableName('edge_table');

     sname  |   tname
    --------+------------
     public | edge_table
    (1 row)

    SELECT * from pgr_getTableName('EdgeTable');

     sname  |   tname
    --------+------------
     public |
    (1 row)

    SELECT * from pgr_getTableName('data.Edge_Table');
     sname | tname
    -------+-------
           |
    (1 row)

The examples use the Sample Data network.

## See Also

- Developer’s Guide for the tree layout of the project.
- pgr_isColumnInTable to check only for the existance of the column.
- pgr_getTableName to retrieve the name of the table as is stored in the postgres administration tables.